commit:     6c74d97e7bebccf8d40867237020d6bfa3bf9c2b
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 16 06:29:31 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Oct 17 05:24:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c74d97e

dev-ruby/html-pipeline: add 2.14.3

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/html-pipeline/Manifest                    |  1 +
 dev-ruby/html-pipeline/html-pipeline-2.14.3.ebuild | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-ruby/html-pipeline/Manifest b/dev-ruby/html-pipeline/Manifest
index 58c72653effb..1b5a74a1a4b3 100644
--- a/dev-ruby/html-pipeline/Manifest
+++ b/dev-ruby/html-pipeline/Manifest
@@ -1 +1,2 @@
 DIST html-pipeline-2.14.2.tar.gz 39691 BLAKE2B 
156b73b1ff2efe9495556b24a5e0b607386ba944e239f3748e9224024d8bcce6f51f54d50db36499a2fbebb083b064f84f62af335576dfafab0554e8e4259204
 SHA512 
6782295364f9dae304e1044827bd594c742257903f48f78fbcac4359c6596c506bf3028c9d3c33116f1971a568c4aa2de72689c576ab0576ffdda438c6497de6
+DIST html-pipeline-2.14.3.tar.gz 45196 BLAKE2B 
f9a2976188a29648b53cbb065343aa6f2f4faf8346daf65256a2178a737dd529cb87b68df6cf98ed9ba7805a73f245a97bfcbb51e35554f09172147dc74dcce1
 SHA512 
fe2ed353894b87f66f30498625e657593aea3a5730d122f3d57a17a53d76351ed6899c04a597b81473b22be752af044fcd13e01885851ac525913143daa8b4c6

diff --git a/dev-ruby/html-pipeline/html-pipeline-2.14.3.ebuild 
b/dev-ruby/html-pipeline/html-pipeline-2.14.3.ebuild
new file mode 100644
index 000000000000..2f0ed5becc11
--- /dev/null
+++ b/dev-ruby/html-pipeline/html-pipeline-2.14.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="html-pipeline.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="GitHub HTML processing filters and utilities"
+HOMEPAGE="https://github.com/gjtorikian/html-pipeline";
+SRC_URI="https://github.com/gjtorikian/html-pipeline/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+       >=dev-ruby/activesupport-2:*
+       >=dev-ruby/nokogiri-1.4
+"
+
+ruby_add_bdepend "test? (
+       dev-ruby/commonmarker
+       dev-ruby/rinku
+       dev-ruby/redcloth
+       dev-ruby/rouge
+       dev-ruby/sanitize
+)"
+
+all_ruby_prepare() {
+       sed -i -e '/\(bundler\|focus\)/ s:^:#:' Rakefile test/test_helper.rb || 
die
+       sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} 
|| die
+
+       # Avoid running tests for unpackaged optional dependencies
+       # escape_utils, email_reply_parser, gemoji
+       rm -f 
test/html/pipeline/{email_reply,emoji,plain_text_input,syntax_highlight,toc}_filter_test.rb
 || die
+}

Reply via email to